*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

:root{
    --bg-color1: rgb(222,184,135);
}

@font-face{
    font-family: 'DanaFanum';
    src: url(../fonts/dana-fanum-regular.otf);
}

body{
    direction: rtl;
    font-family: 'DanaFanum';
}

header{
    width: 100%;
    min-height: 100vh;
    font-size: 22px;
    font-weight: 100;
    background-image: url(../images/allproducts.webp);
    background-size: cover;
    background-repeat: no-repeat;
    position: relative;
}
.language{
    width: 100%;
    height: 18px;
    position: relative;
}
.language ul{
    direction: ltr;
    font-size: 17px;
    list-style-type: none;
    display: flex;
    justify-content: start;
    align-items: center;
    gap: 5px;
    position: absolute;
    top: 5px;
    left: 150px;
}
.language ul li a{
    text-decoration: none;
    color: black;
}
.language ul li a:hover{
    color: green;
}
.menu{
    border: 3px solid white;
    background-color: var(--bg-color1);
    list-style: none;
    border-radius: 5px;
    display: flex;
    justify-content: flex-start;
    align-items: center;
    position: relative;
    top: 18px;
    gap: 5px;
}
.menu nav ul{
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    width: 100%;
    height: 80px;
    list-style-type: none;
    margin-right: 20px;
}
.menu nav ul li a{
     color: black;
    text-decoration: none;
    padding: 15px;
}  
.menu nav ul li:last-child{
    background-color: var(--bg-color1);
    border-radius: 7px;
    padding: 5px;
    position: absolute;
    top: center;
    left: 10px;
}
.menu nav ul li:last-child:hover{
    background-color: white;
    cursor: pointer;
}
 
.logo{
    width: 50px;
    height: 50px;
    position: relative;
    right: 20px;
}
.logo img{
    width: 100%;
    height: 100%;
}

.service{
    width: 600px;
    height: 200px;
    background-color: var(--bg-color1);
    text-align: right;
    transition-property: width, background-color, text-align;
    transition-duration: 3s;
    transition-timing-function: ease-in-out;
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
    border: 1px solid black;
    border-radius: 7px;
    margin: 150px auto;
}
.service:hover{
    width: 100%;
    background-color: white;
    text-align: center;
    text-shadow: 5px 10px 10px blue;
    cursor: pointer;
}
.service p{
    text-align: center;
    position: absolute;
    top: 40%;
    font-size: 22px
}
legend{
    text-align: center;
    font-size: 25px;
    font-weight: 100;
}

fieldset{
    margin: 150px auto;
    border-radius: 7px;
}
.all-blog{
    gap: 20px;
    display: flex;
    justify-content: space-around;
    align-items: center;
}
.box{
    width: 350px;
    height: 450px;
    background-color: var(--bg-color1);
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    padding: 10px;
    border: 2px solid black;
    border-radius: 5px;
}
.imgBox{
    width: 300px;
    height: 280px;
    overflow: hidden;
}
.imgBox img{
    width: 100%;
    height: 100%;
    border-radius: 5px;
    filter: grayscale(100%);
    transition: transform;
    transition-duration: 2s;
}
.imgBox img:hover{
    filter: grayscale(0);
    cursor: pointer;
    transform: rotate(10deg);
}
.all-blog p{
    color: rgb(56, 55, 55);
}

.my-carousel{
    direction: ltr;
    width: 90%;
    height: 450px;
    margin: 0 auto;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 20px;
}

.carousel-container{
    width: 100%;
    height: 400px;
    overflow: hidden;
}
.product-track{
    height: 400px;
    display: flex;
    transition: 0.5s;
}
.product{
    min-width: 33.33%;
    height: 400px;
    padding: 15px;
    text-align: center;
}
.product img{
    width: 100%;
    height: 100%;
    border-radius: 10px;
}
#prev, #next{
    font-family: 'DanaFanum';
    font-size: 18px;
    cursor: pointer;
    border: 1px solid gray;
    border-radius: 5px;
    padding: 3px 5px;
    background-color: rgb(221,220,220);
}

.contact-us{
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 400px;
    gap: 10px;
}
.txt-box{
    background-color: white;
    border: 1px solid white;
    border-radius: 7px;
    width: 50%;
    height: 350px;
    margin: 0 20px;
}
.txt-box h3,p{
    margin-right: 10px;
}
form{
    width: 50%;
    background-color: var(--bg-color1);
    border-radius: 7px;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    padding: 10px 0;
    margin: 0 20px;
}
form input{
    font-family: 'DanaFanum';
}

form select,option{
    font-family: 'DanaFanum';
}
.two-input{
    display: flex;
    justify-content: center;
    align-items: center;
    
}
.input-box{
    width: 80%;
    margin: 0 20px;
}
.input-box input[type="text"],input[type="email"],input[type="number"]{
    width: 230px;
}
.input-box select{
    width: 230px;
    outline: none;
}
button[type="submit"]{
    font-family: 'DanaFanum';
    width: 65px;
    border-radius: 5px;
}
button[type="submit"]:hover{
    background-color: rgb(4, 189, 4);
    cursor: pointer;
}

.footer-box{
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    background-color: var(--bg-color1);
    border-radius: 5px;
    margin-top: 30px;
    position: relative;
    bottom: 18px;
}
.footBox{
    width: 300px;
    height: 200px;
    margin: 30px;
}
.footBox h3{
    text-align: center;
}
.footBox a{
    text-decoration: none;
    color: black;
}
.c-right{
    text-align: center;
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
}
.themeProject{
    position: absolute;
    right: 10px;
    bottom: 5px;
    
}
.themeProject select{
    font-family: 'DanaFanum';
    border: 1px solid gray;
    border-radius: 7px;
    outline: none;
}
.themeProject select:hover{
    cursor: pointer;
}

#backToTop{
    position: fixed;
    bottom: 30px;
    right: 30px;
    width: 60px;
    height: 60px;
    border: none;
    border-radius: 50%;
    background-color: rgb(221, 68, 23);
    cursor: pointer;
    display: none;
    transition: 0.3s;
    font-family: DanaFanum;
    font-size: 20px;
}
#backToTop span{
    font-size: 30px;
    color: white;
}

@media screen and (max-width: 660px) {
    .menu nav ul{
        height: 60px;
    }
    .all-blog{
        flex-direction: column;
    }
    .my-carousel, .carousel-container, .product-track, .product{
        height: 200px;
    }
    .contact-us{
        height: 650px;
        flex-direction: column;
        font-size: 14px;
    }
    .txt-box, form{
        width: 100%;
    }
    .footer-box{
        font-size: 14px;
    }

}
@media screen and (max-width: 768px) {
    .menu nav ul{
        height: 60px;
    }
    .all-blog{
        flex-direction: column;
    }
    .my-carousel, .carousel-container, .product-track, .product{
        height: 200px;
    }
    .contact-us{
        height: 700px;
        flex-direction: column;
    }
    .txt-box, form{
        width: 100%;
    }
}